Subject: System properties (like jcr:uuid) are missing
Description

Those need to be exposed

Associated revisions
Revision 33522d86 - 2008-11-24 21:06 - Karsten Dambekalns
TYPO3CR:
    -  Nodes now expose jcr:uuid and jcr:primaryType, refs #1871
    -  Node->hasProperties() thus now returns TRUE hardcoded
    -  Node->addNode() now throws an exception when no nodetype is given
    -  necessary adjustments to unit tests

History
#1 - 2008-10-28 13:14 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 197

#2 - 2008-11-03 12:21 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2008-11-24 15:03 - Karsten Dambekalns

This what we should have in a first step, based on the node types defined in the spec and our feature set.

    -  jcr:uuid (string) mandatory autocreated protected initialize 
    -  jcr:primaryType (name) mandatory autocreated
    -  jcr:mixinTypes (name) protected multiple autocreated

Since our nodes are always mix:referencable, jcr:mixinTypes will always be present.

#4 - 2008-11-24 21:10 - Karsten Dambekalns
- % Done changed from 0 to 90

Need to clarify semantics of jcr:mixinTypes property.

#5 - 2008-11-26 13:13 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100
jcr:mixinType only reflects mixins assigned to a node directly, not inherited ones (like getMixinNodeTypes() does).
Since we don't have support for mixins in that form yet, this is issue is resolved.

#6 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)

2015-08-03 2/2


